Skip to main content
PATCH
Update agent

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Agent ID

Body

application/json
name
string

Agent name

Required string length: 1 - 128
Example:

"Customer Support Agent"

description
string

Agent description

Maximum string length: 2000
Example:

"An AI agent that helps customers with their inquiries"

instructions
string

Agent instructions (system prompt)

Maximum string length: 10000
Example:

"You are a helpful customer support agent..."

policy
string | null

Agent policy — business rules auto-injected into the prompt (set to null to clear)

Maximum string length: 10000
Example:

"Refunds are only allowed within 30 days of purchase."

modelConfig
object | null

Model configuration

Example:
voiceConfig
object | null

Voice pipeline configuration

Example:
memoryConfig
object | null

Memory configuration

Example:
metadata
object | null

Additional metadata

Example:
knowledgeBaseConfig
object | null

Knowledge base configuration for RAG (set to null to detach)

Example:
resolutionCriteria
object[]

Resolution criteria for evaluating conversation outcomes (max 5). Replaces all existing criteria when provided. Set to [] to clear.

Example:

Response

Agent updated successfully

id
string
required

Agent ID

organizationId
string
required

Organization ID

name
string
required

Agent name

Example:

"Customer Support Agent"

instructions
string
required

Agent instructions

status
enum<string>
required

Agent status

Available options:
draft,
active,
archived
version
number
required

Agent version

modelConfig
object
required

Model configuration

createdAt
string<date-time>
required

Created at timestamp

updatedAt
string<date-time>
required

Updated at timestamp

description
string | null

Agent description

policy
string | null

Agent policy (business rules)

voiceConfig
object

Voice configuration

memoryConfig
object

Memory configuration

metadata
object | null

Additional metadata

knowledgeBaseConfig
object | null

Knowledge base configuration for RAG

createdBy
string | null

Created by user ID